Bug 282941 - Segfault on resume with intel driver
Segfault on resume with intel driver
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 196349
  Show dependency treegraph
Reported: 2007-09-07 14:40 EDT by Zack Cerza
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:22:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
log with backtrace (89.87 KB, text/plain)
2007-09-07 14:40 EDT, Zack Cerza
no flags Details

  None (edit)
Description Zack Cerza 2007-09-07 14:40:52 EDT
Description of problem:
This has happened a few times, but I'm not sure what exactly triggers it. X will
sometimes segfault on resume from RAM. Well I'm pretty sure it's on resume but
it could be on suspend. I'm on a Thinkpad X41 with an i915.

I'm attaching the log, which has a backtrace, but it's not the best I've seen. I
just installed xorg-x11-drv-i810-debuginfo, so If it happens again I'll attach
another log.

Version-Release number of selected component (if applicable):

How reproducible:
Seemingly random
Comment 1 Zack Cerza 2007-09-07 14:40:52 EDT
Created attachment 190301 [details]
log with backtrace
Comment 2 Matěj Cepl 2007-09-10 12:57:22 EDT
Hmm, you are right, putting this into NEEDINFO and waiting on better backtrace.
If you won't get another crash in a month, I would close it as CANTFIX.
Comment 3 Matěj Cepl 2007-10-11 19:22:05 EDT
OK, as I said, closing this as CANTFIX.
Comment 4 Zack Cerza 2007-10-23 11:30:52 EDT
OK, it happened again, but the backtrace isn't really better. What else do I
need to install?

0: /usr/bin/Xorg(xf86SigHandler+0x81) [0x80c2d21]
1: [0x110420]
2: /usr/bin/Xorg [0x80f6b71]
3: /usr/bin/Xorg(xf86_reload_cursors+0x70) [0x80f6cd0]
4: /usr/lib/xorg/modules/drivers//intel_drv.so [0x225382]
5: /usr/bin/Xorg(xf86CrtcSetMode+0x279) [0x80f4fe9]
6: /usr/bin/Xorg(xf86SetDesiredModes+0x139) [0x80f5399]
7: /usr/lib/xorg/modules/drivers//intel_drv.so [0x228a79]
8: /usr/lib/xorg/modules//libxaa.so [0x2dcc12]
9: /usr/bin/Xorg [0x80c66fc]
10: /usr/bin/Xorg [0x80d2b48]
11: /usr/lib/xorg/modules/extensions//libglx.so [0x1d691a]
12: /usr/bin/Xorg(xf86Wakeup+0x3bd) [0x80c443d]
13: /usr/bin/Xorg(WakeupHandler+0x59) [0x808dae9]
14: /usr/bin/Xorg(WaitForSomething+0x1ae) [0x81b7cce]
15: /usr/bin/Xorg(Dispatch+0x8d) [0x80898dd]
16: /usr/bin/Xorg(main+0x495) [0x8071735]
17: /lib/libc.so.6(__libc_start_main+0xe0) [0x47f43f70]
18: /usr/bin/Xorg(FontFileCompleteXLFD+0x1e9) [0x8070a21]
Comment 5 Jesse Barnes 2008-01-10 18:22:19 EST
Have you tried the latest bits?  Also, I think rawhide has some kernel code to 
suspend/resume that might help this problem.
Comment 6 Bug Zapper 2008-05-14 10:17:43 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 22:21:59 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.